<!doctype html>
<html lang="en">

<head>
  <meta charset="utf-8">
  <title></title>
  <meta name="description" content="">
  <script src="./node_modules/jquery/dist/jquery.min.js">
  </script>
  <script src="./node_modules/underscore/underscore-min.js">
  </script>
  <script src="./node_modules/backbone/backbone-min.js">
  </script>
</head>

<body>

  <script>
    var Todo = Backbone.Model.extend({
      defaults: {
        title: '',
        completed: false
      }
    });
    var TodosCollection = Backbone.Collection.extend({
      model: Todo
    });
    var myTodo = new Todo({
      title: 'Read the whole book',
      id: 2
    });
    var myTodo2 = new Todo({
      title: 'Read the whole book 2',
      id: 3
    });
    var myTodo3 = new Todo({
      title: 'Read the whole book 2',
      id: 4
    });
    // pass array of models on collection instantiation
    var todos = new TodosCollection([myTodo, myTodo2]);
    console.log("Collection size: " + todos.length);
    // Collection size: 1
    todos.add(myTodo3);
    console.log("Collection size: " + todos.length);
    // Logs: Collection size: 3
    todos.remove([myTodo, myTodo2]);
    console.log("Collection size: " + todos.length);
  </script>


</body>

</html>